﻿@page "/"

<Container Fluid="true">
    <Row>
        <Column ColumnSize="ColumnSize.Is9">
            <CardDeck>
                <Card>
                    <CardBody>
                        <CardTitle>Card title</CardTitle>
                        <CardText>
                            Some quick example text to build on the card title and make up the bulk of the card's content.
                        </CardText>
                    </CardBody>
                </Card>
                <Card>
                    <CardBody>
                        <CardTitle>Card title</CardTitle>
                        <CardText>
                            Some quick example text to build on the card title and make up the bulk of the card's content.
                        </CardText>
                    </CardBody>
                </Card>
                <Card>
                    <CardBody>
                        <CardTitle>Card title</CardTitle>
                        <CardText>
                            Some quick example text to build on the card title and make up the bulk of the card's content.
                        </CardText>
                    </CardBody>
                </Card>
            </CardDeck>
            <br />
            <Card>
                <CardBody>
                    <CardText>
                        <Tabs SelectedTab="@selectedTab" SelectedTabChanged="@OnSelectedTabChanged">
                            <Items>
                                <Tab Name="home">Home</Tab>
                                <Tab Name="profile">Profile</Tab>
                                <Tab Name="messages">Messages</Tab>
                                <Tab Name="settings">Settings</Tab>
                            </Items>
                            <Content>
                                <TabPanel Name="home">
                                    <Table Hoverable="true">
                                        <TableHeader>
                                            <TableRow>
                                                <TableHeaderCell>#</TableHeaderCell>
                                                <TableHeaderCell>First Name</TableHeaderCell>
                                                <TableHeaderCell>Last Name</TableHeaderCell>
                                                <TableHeaderCell>Username</TableHeaderCell>
                                            </TableRow>
                                        </TableHeader>
                                        <TableBody>
                                            <TableRow>
                                                <TableRowHeader>1</TableRowHeader>
                                                <TableRowCell>Mark</TableRowCell>
                                                <TableRowCell>Otto</TableRowCell>
                                                <TableRowCell>@@mdo</TableRowCell>
                                            </TableRow>
                                            <TableRow>
                                                <TableRowHeader>2</TableRowHeader>
                                                <TableRowCell>Jacob</TableRowCell>
                                                <TableRowCell>Thornton</TableRowCell>
                                                <TableRowCell>@@fat</TableRowCell>
                                            </TableRow>
                                            <TableRow>
                                                <TableRowHeader>1</TableRowHeader>
                                                <TableRowCell>Mark</TableRowCell>
                                                <TableRowCell>Otto</TableRowCell>
                                                <TableRowCell>@@mdo</TableRowCell>
                                            </TableRow>
                                            <TableRow>
                                                <TableRowHeader>2</TableRowHeader>
                                                <TableRowCell>Jacob</TableRowCell>
                                                <TableRowCell>Thornton</TableRowCell>
                                                <TableRowCell>@@fat</TableRowCell>
                                            </TableRow>
                                            <TableRow>
                                                <TableRowHeader>1</TableRowHeader>
                                                <TableRowCell>Mark</TableRowCell>
                                                <TableRowCell>Otto</TableRowCell>
                                                <TableRowCell>@@mdo</TableRowCell>
                                            </TableRow>
                                            <TableRow>
                                                <TableRowHeader>2</TableRowHeader>
                                                <TableRowCell>Jacob</TableRowCell>
                                                <TableRowCell>Thornton</TableRowCell>
                                                <TableRowCell>@@fat</TableRowCell>
                                            </TableRow>
                                            <TableRow>
                                                <TableRowHeader>3</TableRowHeader>
                                                <TableRowCell>Larry</TableRowCell>
                                                <TableRowCell>the Bird</TableRowCell>
                                                <TableRowCell>@@twitter</TableRowCell>
                                            </TableRow>
                                        </TableBody>
                                    </Table>
                                </TabPanel>
                                <TabPanel Name="profile">
                                    <Table Hoverable="true">
                                        <TableHeader>
                                            <TableRow>
                                                <TableHeaderCell>#</TableHeaderCell>
                                                <TableHeaderCell>First Name</TableHeaderCell>
                                                <TableHeaderCell>Last Name</TableHeaderCell>
                                                <TableHeaderCell>Username</TableHeaderCell>
                                            </TableRow>
                                        </TableHeader>
                                        <TableBody>
                                            <TableRow>
                                                <TableRowHeader>1</TableRowHeader>
                                                <TableRowCell>Mark</TableRowCell>
                                                <TableRowCell>Otto</TableRowCell>
                                                <TableRowCell>@@mdo</TableRowCell>
                                            </TableRow>
                                            <TableRow>
                                                <TableRowHeader>2</TableRowHeader>
                                                <TableRowCell>Jacob</TableRowCell>
                                                <TableRowCell>Thornton</TableRowCell>
                                                <TableRowCell>@@fat</TableRowCell>
                                            </TableRow>
                                            <TableRow>
                                                <TableRowHeader>1</TableRowHeader>
                                                <TableRowCell>Mark</TableRowCell>
                                                <TableRowCell>Otto</TableRowCell>
                                                <TableRowCell>@@mdo</TableRowCell>
                                            </TableRow>
                                            <TableRow>
                                                <TableRowHeader>2</TableRowHeader>
                                                <TableRowCell>Jacob</TableRowCell>
                                                <TableRowCell>Thornton</TableRowCell>
                                                <TableRowCell>@@fat</TableRowCell>
                                            </TableRow>
                                            <TableRow>
                                                <TableRowHeader>3</TableRowHeader>
                                                <TableRowCell>Larry</TableRowCell>
                                                <TableRowCell>the Bird</TableRowCell>
                                                <TableRowCell>@@twitter</TableRowCell>
                                            </TableRow>
                                        </TableBody>
                                    </Table>
                                </TabPanel>
                                <TabPanel Name="messages">
                                    <Table Hoverable="true">
                                        <TableHeader>
                                            <TableRow>
                                                <TableHeaderCell>#</TableHeaderCell>
                                                <TableHeaderCell>First Name</TableHeaderCell>
                                                <TableHeaderCell>Last Name</TableHeaderCell>
                                                <TableHeaderCell>Username</TableHeaderCell>
                                            </TableRow>
                                        </TableHeader>
                                        <TableBody>
                                            <TableRow>
                                                <TableRowHeader>1</TableRowHeader>
                                                <TableRowCell>Mark</TableRowCell>
                                                <TableRowCell>Otto</TableRowCell>
                                                <TableRowCell>@@mdo</TableRowCell>
                                            </TableRow>
                                            <TableRow>
                                                <TableRowHeader>2</TableRowHeader>
                                                <TableRowCell>Jacob</TableRowCell>
                                                <TableRowCell>Thornton</TableRowCell>
                                                <TableRowCell>@@fat</TableRowCell>
                                            </TableRow>
                                            <TableRow>
                                                <TableRowHeader>3</TableRowHeader>
                                                <TableRowCell>Larry</TableRowCell>
                                                <TableRowCell>the Bird</TableRowCell>
                                                <TableRowCell>@@twitter</TableRowCell>
                                            </TableRow>
                                            <TableRow>
                                                <TableRowHeader>1</TableRowHeader>
                                                <TableRowCell>Mark</TableRowCell>
                                                <TableRowCell>Otto</TableRowCell>
                                                <TableRowCell>@@mdo</TableRowCell>
                                            </TableRow>
                                            <TableRow>
                                                <TableRowHeader>2</TableRowHeader>
                                                <TableRowCell>Jacob</TableRowCell>
                                                <TableRowCell>Thornton</TableRowCell>
                                                <TableRowCell>@@fat</TableRowCell>
                                            </TableRow>
                                            <TableRow>
                                                <TableRowHeader>1</TableRowHeader>
                                                <TableRowCell>Mark</TableRowCell>
                                                <TableRowCell>Otto</TableRowCell>
                                                <TableRowCell>@@mdo</TableRowCell>
                                            </TableRow>
                                            <TableRow>
                                                <TableRowHeader>2</TableRowHeader>
                                                <TableRowCell>Jacob</TableRowCell>
                                                <TableRowCell>Thornton</TableRowCell>
                                                <TableRowCell>@@fat</TableRowCell>
                                            </TableRow>
                                            <TableRow>
                                                <TableRowHeader>1</TableRowHeader>
                                                <TableRowCell>Mark</TableRowCell>
                                                <TableRowCell>Otto</TableRowCell>
                                                <TableRowCell>@@mdo</TableRowCell>
                                            </TableRow>
                                            <TableRow>
                                                <TableRowHeader>2</TableRowHeader>
                                                <TableRowCell>Jacob</TableRowCell>
                                                <TableRowCell>Thornton</TableRowCell>
                                                <TableRowCell>@@fat</TableRowCell>
                                            </TableRow>
                                        </TableBody>
                                    </Table>
                                </TabPanel>
                                <TabPanel Name="settings">
                                    <Table Hoverable="true">
                                        <TableHeader>
                                            <TableRow>
                                                <TableHeaderCell>#</TableHeaderCell>
                                                <TableHeaderCell>First Name</TableHeaderCell>
                                                <TableHeaderCell>Last Name</TableHeaderCell>
                                                <TableHeaderCell>Username</TableHeaderCell>
                                            </TableRow>
                                        </TableHeader>
                                        <TableBody>
                                            <TableRow>
                                                <TableRowHeader>1</TableRowHeader>
                                                <TableRowCell>Mark</TableRowCell>
                                                <TableRowCell>Otto</TableRowCell>
                                                <TableRowCell>@@mdo</TableRowCell>
                                            </TableRow>
                                            <TableRow>
                                                <TableRowHeader>2</TableRowHeader>
                                                <TableRowCell>Jacob</TableRowCell>
                                                <TableRowCell>Thornton</TableRowCell>
                                                <TableRowCell>@@fat</TableRowCell>
                                            </TableRow>
                                            <TableRow>
                                                <TableRowHeader>3</TableRowHeader>
                                                <TableRowCell>Larry</TableRowCell>
                                                <TableRowCell>the Bird</TableRowCell>
                                                <TableRowCell>@@twitter</TableRowCell>
                                            </TableRow>
                                            <TableRow>
                                                <TableRowHeader>1</TableRowHeader>
                                                <TableRowCell>Mark</TableRowCell>
                                                <TableRowCell>Otto</TableRowCell>
                                                <TableRowCell>@@mdo</TableRowCell>
                                            </TableRow>
                                            <TableRow>
                                                <TableRowHeader>2</TableRowHeader>
                                                <TableRowCell>Jacob</TableRowCell>
                                                <TableRowCell>Thornton</TableRowCell>
                                                <TableRowCell>@@fat</TableRowCell>
                                            </TableRow>
                                            <TableRow>
                                                <TableRowHeader>3</TableRowHeader>
                                                <TableRowCell>Larry</TableRowCell>
                                                <TableRowCell>the Bird</TableRowCell>
                                                <TableRowCell>@@twitter</TableRowCell>
                                            </TableRow>
                                        </TableBody>
                                    </Table>
                                </TabPanel>
                            </Content>
                        </Tabs>
                    </CardText>
                </CardBody>
            </Card>
        </Column>
        <Column ColumnSize="ColumnSize.Is3">
            <Card>
                <CardBody>
                    <CardTitle>
                        Add to Database
                    </CardTitle>
                    <CardText>
                        <Button Color="Color.Dark" Block="true">New Work Order</Button><br /><br />
                        <Button Color="Color.Dark" Block="true">New Target</Button><br /><br />
                        <Button Color="Color.Dark" Block="true">New Target Type</Button><br /><br />
                        <Button Color="Color.Dark" Block="true">New Vendor</Button><br /><br />
                        <Button Color="Color.Dark" Block="true">New Range</Button><br /><br />
                        <Button Color="Color.Dark" Block="true">View Inventory</Button>
                    </CardText>
                </CardBody>

            </Card>
        </Column>
    </Row>
</Container>

@code{
    string selectedTab = "home";

    private void OnSelectedTabChanged(string name)
    {
        selectedTab = name;
    }
}